org.apache.sysds.runtime.instructions.spark.data

## Class IndexedMatrixValue

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.data.IndexedMatrixValue

All Implemented Interfaces:
  Serializable

    public class IndexedMatrixValue
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IndexedMatrixValue()`
`IndexedMatrixValue(Class<? extends MatrixValue> cls)`
`IndexedMatrixValue(IndexedMatrixValue that)`
`IndexedMatrixValue(MatrixIndexes ind, MatrixValue b)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixIndexes` `getIndexes()`
`MatrixValue` `getValue()`
`void` `set(MatrixIndexes indexes2, MatrixValue block2)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexedMatrixValue

    public IndexedMatrixValue()

#### IndexedMatrixValue

    public IndexedMatrixValue(Class<? extends MatrixValue> cls)

#### IndexedMatrixValue

    public IndexedMatrixValue(MatrixIndexes ind,
                              MatrixValue b)

#### IndexedMatrixValue

    public IndexedMatrixValue(IndexedMatrixValue that)

### Method Detail

#### getIndexes

    public MatrixIndexes getIndexes()

#### getValue

    public MatrixValue getValue()

#### set

    public void set(MatrixIndexes indexes2,
                    MatrixValue block2)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`